export const reducer = (state, action) => {
  switch (action.type) {

    case "togglePolling":
      return { ...state,
        disablePolling: !state.disablePolling // on/off
      }

    default:
      console.warn("Unknown action.type", action)
      return state
  }
}
  
export const initialState = { 
  games: null,
  leaderboard: null,

  disablePolling: false,
  fetching: []
}
